import { MetadataApiDeploy } from '@salesforce/source-deploy-retrieve';
export declare class ProgressBar {
    private static DEFAULT_OPTIONS;
    private bar;
    private total;
    constructor(options?: Partial<ProgressBar.Options>);
    setTotal(total: number): void;
    start(total: number): void;
    update(num: number): void;
    finish(): void;
    stop(): void;
}
export declare namespace ProgressBar {
    type Bar = {
        start: (num: number) => void;
        update: (num: number) => void;
        updateTotal: (num: number) => void;
        setTotal: (num: number) => void;
        stop: () => void;
    };
    type Options = {
        title: string;
        format: string;
        barCompleteChar: string;
        barIncompleteChar: string;
        linewrap: boolean;
    };
}
export declare class DeployProgress extends ProgressBar {
    private deploy;
    constructor(deploy: MetadataApiDeploy);
    start(): void;
}
